﻿DO $$

DECLARE doc_type_id INTEGER;
DECLARE id_type_id INTEGER;

BEGIN
	
	INSERT INTO "LookupData" ("Name")
	VALUES
	('Document Types'),
	('Identification Types');
	

	
	SELECT "LookupDataID" INTO doc_type_id FROM "LookupData" WHERE "Name" = 'Document Types' LIMIT 1;
	
	-- Now insert into LookupDataValues using the retrieved ID
	INSERT INTO "LookupDataValues" ("LookupDataID", "Value")
	VALUES (doc_type_id, 'Affidavit of Acknowledgement of a Child'),
	        (doc_type_id, 'Affidavit of Undertaking'),
	        (doc_type_id, 'Affidavit of service'),
	        (doc_type_id, 'Affidavits'),
	        (doc_type_id, 'Bid docs'),
	        (doc_type_id, 'Biodata'),
	        (doc_type_id, 'Certification against non-forum shopping'),
	        (doc_type_id, 'Certification of Compliance Officer'),
	        (doc_type_id, 'Contract of Lease'),
	        (doc_type_id, 'Deed of Absolute Sale'),
	        (doc_type_id, 'Deed of Assignment'),
	        (doc_type_id, 'Extrajudicial Partition'),
	        (doc_type_id, 'FCFS/LCFS'),
	        (doc_type_id, 'FCIF/LCIF'),
	        (doc_type_id, 'GIS'),
	        (doc_type_id, 'LGU business permit application form'),
	        (doc_type_id, 'Loan Agreement'),
	        (doc_type_id, 'Personal Data Sheet'),
	        (doc_type_id, 'Proxy forms'),
	        (doc_type_id, 'Quitclaims'),
	        (doc_type_id, 'SALN'),
	        (doc_type_id, 'Secretary’s Certificate'),
	        (doc_type_id, 'Service Agreements'),
	        (doc_type_id, 'Settlement Agreement'),
	        (doc_type_id, 'Special Power of Attorney'),
	        (doc_type_id, 'Verification of pleadings'),
	        (doc_type_id, 'Wills');
	
	SELECT "LookupDataID" INTO id_type_id FROM "LookupData" WHERE "Name" = 'Identification Types' LIMIT 1;
	
	-- Now insert into LookupDataValues using the retrieved ID
	INSERT INTO "LookupDataValues" ("LookupDataID", "Value")
	VALUES (id_type_id, 'Administration (OWWA) ID'),
	        (id_type_id, 'Alien Certificate of Registration'),
	        (id_type_id, 'Certification from the National Council for the Welfare of Disabled Persons (NCWDP)'),
	        (id_type_id, 'Department of Social Welfare and Development (DSWD) certification'),
	        (id_type_id, 'Driver''s license'),
	        (id_type_id, 'Government Office ID'),
	        (id_type_id, 'Government Service and Insurance System (GSIS) e-card'),
	        (id_type_id, 'Immigrant Certificate of Registration'),
	        (id_type_id, 'Integrated Bar of the Philippines (IBP) ID'),
	        (id_type_id, 'National Bureau of Investigation (NBI) clearance'),
	        (id_type_id, 'Overseas Filipino Worker (OFW) ID'),
	        (id_type_id, 'Overseas Workers Welfare Administration (OWWA) ID'),
	        (id_type_id, 'Passport'),
	        (id_type_id, 'PhilHealth card'),
	        (id_type_id, 'Police clearance'),
	        (id_type_id, 'Postal ID'),
	        (id_type_id, 'Professional Regulations Commission (PRC) ID'),
	        (id_type_id, 'Seaman''s book'),
	        (id_type_id, 'Senior citizen card'),
	        (id_type_id, 'Social Security System (SSS) card'),
	        (id_type_id, 'Tax Identification Number (TIN) ID'),
	        (id_type_id, 'Unified Multi-Purpose ID (UMID) Card'),
	        (id_type_id, 'Voter''s ID');
END $$;
