param(
    [Parameter(Mandatory=$True, Position=0, ValueFromPipeline=$false)]
    [System.String]
    $OutputDir
)


Remove-Item -Path $OutputDir -Recurse -Force

dotnet publish .\EnotaryoPH\EnotaryoPH.DbMigration\EnotaryoPH.DbMigration.csproj --nologo --output "$OutputDir\migration"

cd EnotaryoPH/EnotaryoPH.Web
npm install --production

dotnet publish EnotaryoPH.Web.csproj --nologo --output "$OutputDir\web"



